# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`fail2ban`](#fail2ban): Manage fail2ban
* [`fail2ban::config`](#fail2banconfig): Private class.
* [`fail2ban::install`](#fail2baninstall): Private class.
* [`fail2ban::service`](#fail2banservice): Private class.

**Defined types**

* [`fail2ban::jail`](#fail2banjail): Manage jail configs

**Resource types**

* [`fail2ban_config`](#fail2ban_config): Section/setting name to manage from fail2ban.local
* [`fail2ban_jail_config`](#fail2ban_jail_config): Section/setting name to manage from jail.local

## Classes

### fail2ban

Manage fail2ban

#### Examples

##### Manage fail2ban and add sshd jail

```puppet
class { 'fail2ban':
  jails => ['sshd'],
}
```

#### Parameters

The following parameters are available in the `fail2ban` class.

##### `ensure`

Data type: `Enum['present', 'absent']`

Determines presence of fail2ban.

Default value: 'present'

##### `package_ensure`

Data type: `String`

The ensure property of fail2ban package.

Default value: 'present'

##### `package_name`

Data type: `String`

The fail2ban package name.

Default value: 'fail2ban-server'

##### `manage_repo`

Data type: `Boolean`

Boolean that sets if fail2ban repo is managed.
For EL systems this enables management of EPEL repo.

Default value: `true`

##### `service_name`

Data type: `String`

fail2ban service name.

Default value: 'fail2ban'

##### `service_ensure`

Data type: `String`

fail2ban service ensure property.

Default value: 'running'

##### `service_enable`

Data type: `Boolean`

fail2ban service enable property.

Default value: `true`

##### `service_hasstatus`

Data type: `Boolean`

fail2ban service hasstatus property.

Default value: `true`

##### `service_hasrestart`

Data type: `Boolean`

fail2ban service hasrestart property.

Default value: `true`

##### `config_path`

Data type: `Stdlib::Absolutepath`

Path to fail2ban.local.

Default value: '/etc/fail2ban/fail2ban.local'

##### `jail_config_path`

Data type: `Stdlib::Absolutepath`

Path to jail.local.

Default value: '/etc/fail2ban/jail.local'

##### `default_ignoreip`

Data type: `Array[String]`

Global ignoreip value.

Default value: ['127.0.0.1/8']

##### `default_bantime`

Data type: `Integer`

Global bantime value.

Default value: 600

##### `default_findtime`

Data type: `Integer`

Global findtime value.

Default value: 600

##### `default_maxretry`

Data type: `Integer`

Global maxretry value.

Default value: 5

##### `logtarget`

Data type: `Variant[Enum['SYSLOG','STDOUT','STDERR'],Stdlib::Absolutepath]`

Location of logtarget.

Default value: '/var/log/fail2ban.log'

##### `jails`

Data type: `Optional[Variant[Array, Hash]]`

Array or Hash of jails. Value is passed to `fail2ban::jail` defined type.

Default value: `undef`

### fail2ban::config

Private class.

### fail2ban::install

Private class.

### fail2ban::service

Private class.

## Defined types

### fail2ban::jail

Manage jail configs

#### Examples

##### 

```puppet
fail2ban::jail { 'sshd': ensure => 'present' }
```

#### Parameters

The following parameters are available in the `fail2ban::jail` defined type.

##### `ensure`

Data type: `Enum['present', 'absent']`

Sets if jail should be enabled or disabled

Default value: 'present'

## Resource types

### fail2ban_config

Section/setting name to manage from fail2ban.local

#### Properties

The following properties are available in the `fail2ban_config` type.

##### `ensure`

Valid values: present, absent

The basic property that the resource should be in.

Default value: present

##### `value`

The value of the setting to be defined.

#### Parameters

The following parameters are available in the `fail2ban_config` type.

##### `name`

namevar

Section/setting name to manage from fail2ban.local

### fail2ban_jail_config

Section/setting name to manage from jail.local

#### Properties

The following properties are available in the `fail2ban_jail_config` type.

##### `ensure`

Valid values: present, absent

The basic property that the resource should be in.

Default value: present

##### `value`

The value of the setting to be defined.

#### Parameters

The following parameters are available in the `fail2ban_jail_config` type.

##### `name`

namevar

Section/setting name to manage from jail.local

